Package com.google.web.bindery.requestfactory.shared.messages

## Interface ServerFailureMessage

-     public interface ServerFailureMessage

  Encapsulates a ServerFailure object.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `EXCEPTION_TYPE` |
    `static java.lang.String` | `FATAL` |
    `static java.lang.String` | `MESSAGE` |
    `static java.lang.String` | `STACK_TRACE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getExceptionType()` |
    `java.lang.String` | `getMessage()` |
    `java.lang.String` | `getStackTrace()` |
    `boolean` | `isFatal()` |
    `void` | `setExceptionType​(java.lang.String exceptionType)` |
    `void` | `setFatal​(boolean significant)` |
    `void` | `setMessage​(java.lang.String message)` |
    `void` | `setStackTrace​(java.lang.String stackTrace)` |

- - ### Field Detail

    - #### EXCEPTION_TYPE

          static final java.lang.String EXCEPTION_TYPE

      See Also:
        Constant Field Values

    - #### MESSAGE

          static final java.lang.String MESSAGE

      See Also:
        Constant Field Values

    - #### STACK_TRACE

          static final java.lang.String STACK_TRACE

      See Also:
        Constant Field Values

    - #### FATAL

          static final java.lang.String FATAL

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getExceptionType

          @PropertyName("X")
          java.lang.String getExceptionType()

    - #### getMessage

          @PropertyName("M")
          java.lang.String getMessage()

    - #### getStackTrace

          @PropertyName("S")
          java.lang.String getStackTrace()

    - #### isFatal

          @PropertyName("F")
          boolean isFatal()

    - #### setExceptionType

          @PropertyName("X")
          void setExceptionType​(java.lang.String exceptionType)

    - #### setFatal

          @PropertyName("F")
          void setFatal​(boolean significant)

    - #### setMessage

          @PropertyName("M")
          void setMessage​(java.lang.String message)

    - #### setStackTrace

          @PropertyName("S")
          void setStackTrace​(java.lang.String stackTrace)